Skip to main content
Get edge application bundle
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

name
string
required

User defined name of the edge application, unique across the enterprise. Once object is created, name can’t be changed

Response

A successful response.

Edge application gets installed/uninstalled to/from edge node(s) and perform specific edge computing tasks. Lifecycle of Edge application (upgrade/restart) on Edge node can be managed and monitored by ZEDEDA Cloud controller through this detailed configuration.

name
string
required

User defined name of the edge application, unique across the enterprise. Once object is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the edge application. Title can be changed at any time

Required string length: 3 - 256
Pattern: ^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$
originType
enum<string>
default:ORIGIN_UNSPECIFIED
required

origin of object

Available options:
ORIGIN_UNSPECIFIED,
ORIGIN_IMPORTED,
ORIGIN_LOCAL,
ORIGIN_GLOBAL,
ORIGIN_APP_PROFILE_LOCAL
id
string
read-only

System defined universally unique Id of the edge application

Pattern: [0-9A-Za-z-]+
description
string

Detailed description of the edge application

Maximum string length: 256
revision
ObjectRevision is used to store the user information. · object

system defined info

networks
integer<int64>

user defined network options

drives
integer<int64>
read-only

user defined drives

cpus
integer<int64>

user defined cpus for bundle

memory
integer<int64>

user defined memory for bundle

manifestJSON
object

user defined manifest in JSON format

parentDetail
Object Import Detail · object

origin and parent related details

storage
integer<int64>

user defined storage for bundle

userDefinedVersion
string

User defined version for the given edge-app

projectAccessList
string[]

project access list of the app bundle

isImported
boolean

Flag to represent where app bundle is already imported

appInstCount
integer<int32>

App instance count

datastoreIdList
string[]

List of datastore ids containing private registry credential

tags
object

User defined tags for the edge application